View Issue Details

IDProjectCategoryView StatusLast Update
0018057LazarusLCLpublic2011-07-03 15:11
ReporterMax VlasovAssigned ToPaul Ishenin 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version0.9.29 (SVN)Product Build 
Target Version1.0.0Fixed in Version0.9.31 (SVN) 
Summary0018057: Make popup menu items with GroupIndex =0 working as radio items
DescriptionIn Delphi GroupIndex = 0 is valid for using as radiobox items in sub-menus for Pop-up menus. In Lazarus they behave selecting like grouped (round check), but don't unselect others
Additional InformationThis was mentioned in the following report in comments (0032688), but never reported as a standalone:
http://mantis.freepascal.org/bug_view_page.php?bug_id=15245

TagsNo tags attached.
Fixed in Revision29898
LazTarget1.0
WidgetsetWin32/Win64
Attached Files

Relationships

related to 0015245 closedZeljan Rikalo Grouping menu items as RadioItems doesn't work in main menu 

Activities

Paul Ishenin

2011-03-18 09:57

manager   ~0046663

Please test and close if ok.

Max Vlasov

2011-07-03 15:11

reporter   ~0049607

It works

Issue History

Date Modified Username Field Change
2010-11-26 11:23 Max Vlasov New Issue
2010-11-26 11:23 Max Vlasov Widgetset => Win32/Win64
2010-11-26 11:48 Vincent Snijders Relationship added related to 0015245
2010-11-26 11:48 Vincent Snijders LazTarget => 1.0
2010-11-26 11:48 Vincent Snijders Status new => acknowledged
2010-11-26 11:48 Vincent Snijders Target Version => 1.0.0
2011-03-18 09:57 Paul Ishenin Fixed in Revision => 29898
2011-03-18 09:57 Paul Ishenin Status acknowledged => resolved
2011-03-18 09:57 Paul Ishenin Fixed in Version => 0.9.31 (SVN)
2011-03-18 09:57 Paul Ishenin Resolution open => fixed
2011-03-18 09:57 Paul Ishenin Assigned To => Paul Ishenin
2011-03-18 09:57 Paul Ishenin Note Added: 0046663
2011-07-03 15:11 Max Vlasov Status resolved => closed
2011-07-03 15:11 Max Vlasov Note Added: 0049607